# pgRouting Manual (3.3)

## pgr_turnRestrictedPath - Experimental

- Supported versions: Latest (3.3) 3.2 3.1 3.0

# pgr_turnRestrictedPath - Experimental

`pgr_turnRestrictedPath`

Warning

Possible server crash

- These functions might create a server crash

Warning

Experimental functions

- They are not officially of the current release.

- They likely will not be officially be part of the next release:

  - The functions might not make use of ANY-INTEGER and ANY-NUMERICAL

  - Name might change.

  - Signature might change.

  - Functionality might change.

  - pgTap tests might be missing.

  - Might need c/c++ coding.

  - May lack documentation.

  - Documentation if any might need to be rewritten.

  - Documentation examples might need to be automatically generated.

  - Might need a lot of feedback from the comunity.

  - Might depend on a proposed function of pgRouting

  - Might depend on a deprecated function of pgRouting

Availability

- Version 3.0.0

  - New Experimental function

## Description

- TBD

## Signatures

Summary

    pgr_turnRestrictedPath(Edges SQL, Restrictions SQL, Start vertex, End vertex, K cycles,
      [, directed] [,heap_paths] [, stop_on_first] [,strict])
    RETURNS SETOF (seq, path_id, path_seq, node, edge, cost, agg_cost)

## Parameters

- TBD

## Parameters

- TBD

## Inner query

- TBD

## Result Columns

- TBD

## Additional Examples

Example

## See Also

Indices and tables

- Index

- Search Page